## lsh-utils 2.0.4-dfsg

=== debian/changelog ===
lsh-utils (2.0.4-dfsg-11) unstable; urgency=low

  * Review templates and package description by the debian-l10n-english team
    (Closes: #686212). Thanks to David Prévot for coordinating.

  [ Debconf translations ]
  * Portuguese, Rui Branco (Closes: #687146).
  * Russian, Yuri Kozlov (Closes: #687188).
  * Czech, Martin Šín (Closes: #687263).
  * Polish, Michał Kułach (Closes: #687549).
  * Italian, Beatrice Torracca (Closes: #687773).
  * French, David Prévot (Closes: #687810).
  * Danish, Joe Hansen (Closes: #687833).
  * German, Holger Wansing (Closes: #687979).
  * Japanese, Hideki Yamane.
  * Vietnamese, Nguyen Vu Hung (Closes: #688175).
  * Slovak, Slavko (Closes: #688193).
  * Swedish, Martin Bagge (edited slightly by me) (Closes: #688419).
  * Spanish, Javier Fernández-Sanguino (Closes: #688925).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 30 Sep 2012 22:54:03 +0200

lsh-utils (2.0.4-dfsg-10) unstable; urgency=low

  * Default to deleting host key on purge (Closes: #670433). It's only a
    host key, not significant amounts of user-generated data, so there's
    no good reason that a purge shouldn't delete it.
  * Correct misspelling of debconf key, which caused the host key never to
    be deleted.
  * Add Italian debconf localization. (Closes: #666425). Thanks to
    Beatrice Torracca and the Italian localization team.
  * Read settings from /etc/default/lsh-server in the config script
    (Closes: #620809) and add an EXTRA_ARGS variable that can be used to
    specify additional arguments to lshd (Closes: #592595).
  * Bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 30 Jun 2012 17:58:46 +0200

lsh-utils (2.0.4-dfsg-9) unstable; urgency=low

  * serpent-byteorder.patch: Correct Serpent test case that depended on
    broken Serpent implementation in Nettle prior to 2.2 (Closes: #646653,
    I hope). Build-depend on nettle-dev >= 2.2 for the same reason.
  * Build-depend on libgmp-dev, which is now the real package, instead of
    libgmp10-dev.
  * Use dpkg-buildflags.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Nov 2011 23:19:52 +0100

lsh-utils (2.0.4-dfsg-8) unstable; urgency=low

  * Change source format to 3.0 (quilt), renaming all patches
    from *.dpatch to *.patch and dropping the numbers.
  * While 30_nonettle.dpatch was a script that used sed to modify
    instances of Makefile.in, nonettle.patch patches Makefile.am files as
    well as configure.ac. dh-autoremake is used to call autoremake before
    configure and to restore the effects in the clean target. The
    src/nettle subdirectory still needs to be renamed to avoid its header
    files from being found; that is now done in debian/rules.
  * Switch from CDBS to a more old-style debian/rules to get better
    control over the build process.
  * Increase Debhelper compat level to 7.
  * blacklist.patch: Don't reject when blacklisted_key() returns -1,
    indicating no blacklist file for the key type and/or size in question
    exists.
  * nettle-2.1.patch (new): Build with Nettle 2.1.
  * Enable tests.
    testsuite-mini-inetd-localhost.patch (new): When told to bind to
    "localhost", mini-inetd, which is used in certain (optional) tests,
    seems to bind to 255.255.255.255, which is of course no good. Tell it
    to bind to 127.0.0.1 instead.
  * debian/lsh-doc.doc-base: Change section to the new `Network/Remote Access'.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Mar 2011 01:30:08 +0100

lsh-utils (2.0.4-dfsg-7) unstable; urgency=low

  * terminate_on_connection_failure.dpatch (new): Make sure that lsh exits
    if it fails to connect to the remote host (Closes: #485812).
  * ipv6_v6only.dpatch (new): Set the IPV6_V6ONLY socket option on
    AF_INET6 sockets; since lshd by default enumerates available address
    families and calls bind() once for each, conflicts will occur
    otherwise.
  * lsh-server.postinst: If openssh-server is installed and lsh-server is
    configured to use port 22, shut down sshd in addition to disabling it
    (Closes: #567945).
  * lsh-server.postinst: Close fd 3 (opened by debconf) to avoid "Closed
    spurious fd" warnings.
  * debian/control: Declare Breaks instead of Conflicts for files moved
    between packages.
  * Upgraded to Standards-Version 3.9.1 with the preceding change.
  * debian/control (lsh-server): Drop old Conflicts: lsh-utils (<<
    1.0.2-3).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 01 Aug 2010 20:52:37 +0200

lsh-utils (2.0.4-dfsg-6) unstable; urgency=low

  * Change libreadline build dependency to just libreadline-dev
    (Closes: #553804).
  * Add new debconf template translations:
    + Japanese from Hideki Yamane (Closes: #558082)
    + Spanish from Shukoh (Closes: #557008)
    Credit to the respective Debian translation teams.
  * Fix a spelling error in one of the debconf templates, run
    debconf-updatepo, clean out the old obsolete translation entries, and
    perform some trivial maintenance on the Nynorsk file.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 28 Nov 2009 17:57:30 +0100

lsh-utils (2.0.4-dfsg-5) unstable; urgency=low

  * lsh-server.init.d: Don't suppress start/stop messages when $VERBOSE =
    "no". /etc/init.d/skeleton is not a good example in this matter.
  * blacklist.dpatch: Check keys against openssh-blacklist before
    accepting for pubkey authentication as well as on conversion by
    lsh-writekey and lsh-decode-key.
  * lsh-server: Depend on openssh-blacklist, recommend -blacklist-extra.
    lsh-utils: Recommend openssh-blacklist and -blacklist-extra.
  * Move seed and key creation back to postinst and import RSA key from
    openssh-server if it exists (Closes: #211252).
  * debian/mans/lcp.1: Fix errors.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 08 Nov 2009 20:18:17 +0100

lsh-utils (2.0.4-dfsg-4) unstable; urgency=high

  * lsh-server.init.d: Fix critical exit status ($?) handling mistake

