=== debian/control ===
Source: lsh-utils
Section: net
Priority: extra
Maintainer: Magnus Holmgren <holmgren@debian.org>
Uploaders: Stefan Pfetzing <dreamind@dreamind.de>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), dh-autoreconf, automake,
 libgmp-dev, zlib1g-dev | libz-dev, liboop-dev, libxau-dev, nettle-dev (>= 2.2~), nettle-bin,
 texinfo (>= 4.2), guile-1.6 | scsh-0.6, heimdal-dev, libwrap0-dev | libwrap-dev, 
 libpam0g-dev | libpam-dev, libreadline-dev, m4
Homepage: http://www.lysator.liu.se/~nisse/lsh/

Package: lsh-utils
Architecture: any
Depends: nettle-bin (>= 2.0-2), ${shlibs:Depends}, ${misc:Depends}
Recommends: openssh-blacklist, openssh-blacklist-extra
Suggests: lsh-server, lsh-client, lsh-doc
Description: Secure Shell v2 (SSH2) protocol utilities
 lsh is a GPLed implementation of the Secure SHell protocol version 2
 (SSH2), a secure replacement for rlogin, rsh, and rcp.
 .
 This package contains the lsh utilities. This includes programs such
 as lsh-keygen, lsh-writekey (both programs for public/private key
 generation), lsh-authorize (for automatic remote key authentication),
 ssh-conv (utilities for converting between various public and private
 key formats), and a number of other utilities for use with both the
 lsh server and client.
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.

Package: lsh-server
Architecture: any
Provides: ssh-server
Depends: lsh-utils (= ${binary:Version}), openssh-blacklist,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: openssh-blacklist-extra
Suggests: lsh-client | openssh-client, lsh-doc
Description: Secure Shell v2 (SSH2) protocol server
 lsh is a GPLed implementation of the Secure SHell protocol version 2
 (SSH2), a secure replacement for rlogin, rsh, and rcp.
 .
 This package contains the lsh server, lshd. This package is required
 to allow SSH2 logins to the local machine.
 .
 In some countries it may be illegal to use any encryption
 at all without a special permit. 

Package: lsh-client
Architecture: any
Depends: nettle-bin, lsh-utils (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks: lsh-utils (<< 2.0.4-dfsg-1)
Replaces: lsh-utils (<< 2.0.4-dfsg-1)
Suggests: lsh-doc
Description: Secure Shell v2 (SSH2) protocol client
 lsh is a GPLed implementation of the Secure SHell protocol version 2
 (SSH2), a secure replacement for rlogin, rsh, and rcp.
 .
 This package contains the lsh client used to log in to a remote lsh
 or SSH2 server.
 .
 In some countries it may be illegal to use any encryption
 at all without a special permit. 

Package: lsh-doc
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: lsh-utils, lsh-server, lsh-client
Conflicts: lsh-utils (<< 1.0.2-3)
Breaks: lsh-utils-doc (<< 2.0.4-dfsg-1)
Replaces: lsh-utils-doc (<< 2.0.4-dfsg-1)
Description: Secure Shell v2 (SSH2) documentation
 lsh is a GPLed implementation of the Secure SHell protocol version 2
 (SSH2), a secure replacement for rlogin, rsh, and rcp.
 .
 This package contains the lsh documentation, including info
 pages and manpages about the various protocols which lsh uses,
 as well as various documents about lsh internals, protocols,
 and general lsh development.
 .
 In some countries it may be illegal to use any encryption
 at all without a special permit.
