=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  buildflags = --build=$(DEB_BUILD_GNU_TYPE)
else
  buildflags = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

parallel = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifneq (,$(parallel))
jobsflag = -j$(parallel)
endif

config.status: configure.ac
	dh_testdir
	# Add here commands to configure the package.
	[ -d src/nettle-dontuse -a ! -d src/nettle ] || mv src/nettle src/nettle-dontuse
	dh_autoreconf
	./configure $(buildflags) \
		    --prefix=/usr \
	            --disable-dependency-tracking \
	            --enable-pam --enable-kerberos --enable-srp \
	            --with-pty --enable-tcp-forward --enable-x11-forward \
	            --enable-agent-forward --enable-ipv6 --enable-utmp \
	            --with-zlib --with-tcpwrappers --with-sshd1=/usr/sbin/sshd \
	            --with-x XAUTH_PROGRAM=/usr/bin/xauth \
	            $(shell DEB_LDFLAGS_MAINT_PREPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --export=configure)

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) $(jobsflag) MAKEINFO='makeinfo --enable-encoding'
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean
	[ -d src/nettle -a ! -d src/nettle-dontuse ] || mv src/nettle-dontuse src/nettle

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

build-indep build-arch: build

# Build architecture-independent files here.
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i -A README
	dh_installinfo -i
	dh_installman -i
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a -A README
	dh_installexamples -a
	dh_installman -a
	dh_installinit -a
	dh_installdebconf -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build-indep build-arch build clean clean-patched binary-indep binary-arch binary install
