=== debian/watch ===
# use the newest watch file format.
version=3
# Site+Directory			  Pattern		Version	Script
opts=dversionmangle=s/-dfsg$// \
ftp://ftp.lysator.liu.se/pub/security/lsh/lsh-([^-]*)\.tar\.gz	debian	uupdate
