## lsh-utils 2.1

=== debian/changelog ===
lsh-utils (2.1-9ubuntu1) yakkety; urgency=medium

  * debian/rules: disable pie-by-default for build.
    (Debian bug #837665 has discussion)

 -- Steve Beattie <sbeattie@ubuntu.com>  Sat, 08 Oct 2016 01:46:14 -0700

lsh-utils (2.1-9build2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2016 10:25:24 +0000

lsh-utils (2.1-9build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:06:40 +0000

lsh-utils (2.1-9) unstable; urgency=medium

  * nettle3.patch: also cast length arguments to nettle_sexp_vformat() to
    size_t.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 25 Feb 2016 00:16:44 +0100

lsh-utils (2.1-8) unstable; urgency=low

  * Build with MIT Kerberos instead of Heimdal (Closes: #806266, #812813).
    Note: the Kerberos password helper has limited functionality and is
    not recommended to use.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 07 Feb 2016 21:11:10 +0100

lsh-utils (2.1-7) unstable; urgency=low

  * nettle3.patch: fix pointer type mismatches, mainly changing length
    variables from unsigned to size_t.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 03 Jun 2015 00:06:24 +0200

lsh-utils (2.1-6) unstable; urgency=low

  * skip-argp.patch (new): Make sure we don't touch the embedded argp copy
    when not needed. It fails to build with GCC 5, which defaults to C99,
    which has different inline function rules, and we don't need it.
    (Closes: #777990).
  * nettle3.patch (new): Adapt to API changes in Nettle 3.0 using the
    compat layer.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 02 Jun 2015 16:10:53 +0200

lsh-utils (2.1-5) unstable; urgency=low

  * bsd_connreset_test_fail.patch (new): Fix random test failures on kFreeBSD.
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Oct 2014 23:41:33 +0200

lsh-utils (2.1-4) unstable; urgency=low

  * Drop the Scheme interpreters (guile-1.6 | scsh) from Build-Depends;
    everything generated by Scheme code comes pre-built in the upstream
    tarball.
  * Also override Lintian error concerning doc/srp-spec.txt, generated
    from srp-spec.nroff (see 2.1-2 below).
  * lsh-server.service: Remove obsolete syslog.target from Unit.After
    option (it runs lsh-server non-forking anyway, which means that
    lsh-server doesn't call syslog itself).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2014 17:53:00 +0200

lsh-utils (2.1-3) unstable; urgency=low

  * Add systemd unit file, which should behave similarly to the init
    script.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 31 Aug 2014 20:14:18 +0200

lsh-utils (2.1-2) unstable; urgency=low

  * new-readline-completion-function-typedef.patch: switch to new-style
    readline typedef for lsftp_rl_completion pointer cast (Closes:
    #741771).
  * Dutch Debconf translation update from Vincent Zweije and the
    debian-l10n-dutch team (Closes: #692831).
  * Override Lintian error concerning non-free IETF document
    doc/srp-spec.nroff. See debian/copyright for details.
  * rl_completion-segfault.patch (new): Avoid crashing when tab-completing
    an empty command line in lsftp.
  * lsh-doc: Drop dependency on dpkg (>= 1.15.4) | install-info (change in
    policy § 12.2).
  * With the above, raise Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 01 Apr 2014 22:30:06 +0200

lsh-utils (2.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream distribution no longer embeds old version of the Nettle
    library containing non-free RFC document; drop nonettle.patch.
  * Also drop better-errmsg-when-dotlsh-missing.patch, nettle-2.0.patch,
    nettle-2.1.patch, terminate-on-connection-failure.patch,
    ipv6-v6only.patch, and serpent-byteorder.patch, all incorporated
    upstream; and testsuite-mini-inetd-localhost.patch, made unneeded by
    new included version of mini-inetd.
  * Update and improve watch file, dropping dversionmangle option.
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 15 Aug 2013 22:12:15 +0200
