=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lsh-utils
 Section: net
 Priority: extra
-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
 Uploaders: Stefan Pfetzing <dreamind@dreamind.de>
-Standards-Version: 3.9.3
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), dh-autoreconf, automake,
- libgmp-dev, zlib1g-dev | libz-dev, liboop-dev, libxau-dev, nettle-dev (>= 2.2~), nettle-bin,
- texinfo (>= 4.2), guile-1.6 | scsh-0.6, heimdal-dev, libwrap0-dev | libwrap-dev, 
+Standards-Version: 3.9.6
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), dh-autoreconf, dh-systemd (>= 1.5), automake,
+ libgmp-dev, zlib1g-dev | libz-dev, liboop-dev, libxau-dev, nettle-dev (>= 3.0~), nettle-bin,
+ texinfo (>= 4.2), libkrb5-dev, libwrap0-dev | libwrap-dev, 
  libpam0g-dev | libpam-dev, libreadline-dev, m4
 Homepage: http://www.lysator.liu.se/~nisse/lsh/
 
@@ -66,7 +67,7 @@
 Package: lsh-doc
 Architecture: all
 Section: doc
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: lsh-utils, lsh-server, lsh-client
 Conflicts: lsh-utils (<< 1.0.2-3)
 Breaks: lsh-utils-doc (<< 2.0.4-dfsg-1)
