=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 config.status: configure.ac
 	dh_testdir
 	# Add here commands to configure the package.
-	[ -d src/nettle-dontuse -a ! -d src/nettle ] || mv src/nettle src/nettle-dontuse
 	dh_autoreconf
 	./configure $(buildflags) \
 		    --prefix=/usr \
@@ -35,7 +34,7 @@
 	            --enable-agent-forward --enable-ipv6 --enable-utmp \
 	            --with-zlib --with-tcpwrappers --with-sshd1=/usr/sbin/sshd \
 	            --with-x XAUTH_PROGRAM=/usr/bin/xauth \
-	            $(shell DEB_LDFLAGS_MAINT_PREPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --export=configure)
+	            $(shell DEB_LDFLAGS_MAINT_PREPEND="-Wl,-z,defs -Wl,--as-needed" DEB_CFLAGS_MAINT_APPEND="-no-pie" dpkg-buildflags --export=configure)
 
 build: build-stamp
 build-stamp:  config.status
@@ -58,7 +57,6 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_autoreconf_clean
 	dh_clean
-	[ -d src/nettle -a ! -d src/nettle-dontuse ] || mv src/nettle-dontuse src/nettle
 
 install: build
 	dh_testdir
@@ -101,7 +99,9 @@
 	dh_installdocs -a -A README
 	dh_installexamples -a
 	dh_installman -a
+	dh_systemd_enable -a
 	dh_installinit -a
+	dh_systemd_start -a
 	dh_installdebconf -a
 	dh_strip -a
 	dh_compress -a
